## GogTrendLine GogTrendLine |

## Functions

gboolean | gog_trend_line_has_legend ()
GogTrendLine * | gog_trend_line_new_by_name ()
GogTrendLine * | gog_trend_line_new_by_type ()

## Properties

gboolean | has-legend | Read / Write

## Types and Values

| GogTrendLine
typedef | GogTrendLineClass

## Object Hierarchy

        GObject
        ╰── GogObject
            ╰── GogStyledObject
                ╰── GogTrendLine
                    ├── GogRegCurve
                    ╰── GogSmoothedCurve

## Implemented Interfaces

GogTrendLine implements GOStyledObject.

## Description

## Functions

### gog_trend_line_has_legend ()

    gboolean
    gog_trend_line_has_legend (GogTrendLine const *line);

#### Returns

### gog_trend_line_new_by_name ()

    GogTrendLine *
    gog_trend_line_new_by_name (char const *id);

#### Returns

### gog_trend_line_new_by_type ()

    GogTrendLine *
    gog_trend_line_new_by_type (GogTrendLineType const *type);

#### Returns

## Types and Values

### GogTrendLine

    typedef struct _GogTrendLine GogTrendLine;

### GogTrendLineClass

    typedef GogStyledObjectClass GogTrendLineClass;

## Property Details

### The `“has-legend”` property

      “has-legend”               gboolean

Should the trend line show up in legends.

Flags: Read / Write

Default value: TRUE